#
# Copyright (c) 2014  Sulev-Madis Silber <ketas@si.pri.ee>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#


alias time	/usr/bin/time -h
alias nice	/usr/bin/nice
alias swapinfo	swapinfo -h


alias h		history 25
alias j		jobs -l

alias la	ls -la
alias lf	ls -Fa
alias ll	ls -la

alias lh	ls -lha
alias lhd	ls -lhad

alias lho	ls -lhao
alias lhoi	ls -lhaoi


alias cp	cp -i
alias mv	mv -i
alias rm	rm -i
alias ln	ln -i


alias df	df -H
alias du	du -h


alias less	less -IRn


alias psgrep	'ps wwaux | head -1 ; ps wwaux | egrep \!*'


alias savhist	history -S
alias mergehist	history -M


umask 22


setenv EDITOR		vi

setenv PAGER		'less -IRn'
setenv BLOCKSIZE	K

setenv CLICOLOR		1
setenv LS_COLORS	'di=34:ex=31:ln=35:so=32:cd=34;43'


if ($?prompt) then
	set prompt = '%{\033[0m%}%T,%n@%m:%B%~%b%#%{\033[0m%} '
	
	
	set addsuffix
	set autocorrect
	set autoexpand
	set autolist
	set color
	set correct = cmd
	set filec
	set inputmode = insert
	set noclobber
	set noding
	set padhour
	set rmstar
	set promptchars = '>#'
	
	
	mesg y
	
	
	if ($?tcsh) then
		bindkey "^W" backward-delete-word
		
		bindkey -k up history-search-backward
		bindkey -k down history-search-forward
	endif
	
	
	set history = 1000000000
	unset savehist
endif
